> ## Documentation Index
> Fetch the complete documentation index at: https://v2.opencode.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post experimentalproject copy



## OpenAPI

````yaml /openapi.json post /experimental/project/{projectID}/copy
openapi: 3.1.0
info:
  title: opencode HttpApi
  version: 0.0.1
  description: Experimental HttpApi surface for selected instance routes.
servers: []
security: []
tags:
  - name: health
  - name: server
  - name: location
  - name: agent
  - name: plugin
    description: Experimental plugin routes.
  - name: session
    description: Experimental session routes.
  - name: session
    description: Experimental message routes.
  - name: model
    description: Experimental model routes.
  - name: generate
    description: Experimental one-shot generation routes.
  - name: provider
    description: Experimental provider routes.
  - name: integration
    description: Integration discovery and authentication routes.
  - name: mcp
    description: MCP server and resource routes.
  - name: credential
  - name: project
    description: Location-scoped project routes.
  - name: form
    description: Session form routes.
  - name: permission
    description: Experimental permission routes.
  - name: filesystem
    description: Experimental location-scoped filesystem routes.
  - name: command
    description: Experimental command routes.
  - name: skill
    description: Experimental skill routes.
  - name: event
    description: Experimental event stream routes.
  - name: pty
    description: Experimental location-scoped PTY routes.
  - name: shell
    description: Experimental location-scoped shell command routes.
  - name: question
    description: Experimental session question routes.
  - name: reference
    description: Location-scoped project references.
  - name: projectCopy
    description: Project copy management routes.
  - name: vcs
    description: Location-scoped version control routes.
  - name: debug
paths:
  /experimental/project/{projectID}/copy:
    post:
      tags:
        - projectCopy
      operationId: v2.projectCopy.create
      parameters:
        - name: projectID
          in: path
          schema:
            type: string
          required: true
        - name: location
          in: query
          schema:
            anyOf:
              - type: object
                properties:
                  directory:
                    anyOf:
                      - type: string
                      - type: 'null'
                  workspace:
                    anyOf:
                      - type: string
                      - type: 'null'
                additionalProperties: false
              - type: 'null'
          required: false
          style: deepObject
          explode: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                strategy:
                  type: string
                directory:
                  type: string
                name:
                  type: string
              required:
                - strategy
                - directory
              additionalProperties: false
        required: true
      responses:
        '200':
          description: ProjectCopy.Copy
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectCopy.Copy'
        '400':
          description: ProjectCopyError | InvalidRequestError
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/ProjectCopyError'
                  - $ref: '#/components/schemas/InvalidRequestError'
        '401':
          description: UnauthorizedError
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedError'
      security: []
components:
  schemas:
    ProjectCopy.Copy:
      type: object
      properties:
        directory:
          type: string
      required:
        - directory
      additionalProperties: false
    ProjectCopyError:
      type: object
      properties:
        name:
          type: string
          enum:
            - ProjectCopyError
        data:
          type: object
          properties:
            message:
              type: string
            forceRequired:
              anyOf:
                - type: boolean
                - type: 'null'
          required:
            - message
          additionalProperties: false
      required:
        - name
        - data
      additionalProperties: false
    InvalidRequestError:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - InvalidRequestError
        message:
          type: string
        kind:
          anyOf:
            - type: string
            - type: 'null'
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - message
      additionalProperties: false
    UnauthorizedError:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - UnauthorizedError
        message:
          type: string
      required:
        - _tag
        - message
      additionalProperties: false

````